"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Vue = require("vue");
var e;
const f = typeof window < "u", p = (n) => typeof n == "string", a = () => {
}, l = f && ((e = window == null ? void 0 : window.navigator) == null ? void 0 : e.userAgent) && /iP(ad|hone|od)/.test(window.navigator.userAgent);
function g(n) {
  return typeof n == "function" ? n() : Vue.unref(n);
}
function w(n) {
  return n;
}
function v(n) {
  return Vue.getCurrentScope() ? (Vue.onScopeDispose(n), true) : false;
}
function y(n, t = true) {
  Vue.getCurrentInstance() ? Vue.onMounted(n) : t ? n() : Vue.nextTick(n);
}
exports.identity = w;
exports.isClient = f;
exports.isIOS = l;
exports.isString = p;
exports.noop = a;
exports.resolveUnref = g;
exports.tryOnMounted = y;
exports.tryOnScopeDispose = v;
